org.apache.lucene.luke.app.desktop.components.fragments.analysis

## Interface SimpleAnalyzeResultPanelOperator

All Superinterfaces:
  ComponentOperatorRegistry.ComponentOperator

All Known Implementing Classes:
  SimpleAnalyzeResultPanelProvider

    public interface SimpleAnalyzeResultPanelOperator
    extends ComponentOperatorRegistry.ComponentOperator

Operator of the simple analyze result panel

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearTable()`
`void` `executeAnalysis(String text)`
`void` `setAnalysisModel(Analysis analysisModel)`

### Method Detail

#### setAnalysisModel

    void setAnalysisModel(Analysis analysisModel)

#### executeAnalysis

    void executeAnalysis(String text)

#### clearTable

    void clearTable()